메인 콘텐츠로 건너뛰기
GET
/
2
/
notes
/
search
/
notes_written
작성된 Community Note 조회
curl --request GET \
  --url https://api.x.com/2/notes/search/notes_written \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "1146654567674912769",
      "post_id": "1346889436626259968",
      "info": {
        "misleading_tags": [],
        "text": "<string>",
        "trustworthy_sources": true
      },
      "test_result": {
        "evaluator_score_bucket": "<string>",
        "evaluator_type": "<string>"
      }
    }
  ],
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ],
  "meta": {
    "next_token": "<string>",
    "result_count": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

인증

Authorization
string
header
필수

The access token received from the authorization server in the OAuth 2.0 flow.

쿼리 매개변수

test_mode
boolean
필수

true인 경우 테스트용 환경에서 호출자가 작성한 커뮤니티 노트를 반환합니다. false인 경우 실제 운영 환경에서 호출자가 작성한 커뮤니티 노트를 반환합니다.

pagination_token
string

커뮤니티 노트 대상 포스트의 다음 집합을 가져오는 데 사용하는 페이지네이션 토큰입니다.

max_results
integer<int32>
기본값:10

반환할 최대 결과 수입니다.

필수 범위: 1 <= x <= 100
note.fields
enum<string>[]

요청에 포함할 Note 필드의 쉼표로 구분된 목록입니다. Note 객체에서 지정할 수 있는 필드입니다.

Minimum array length: 1
사용 가능한 옵션:
id,
info,
status,
test_result
예시:
["id", "info", "status", "test_result"]

응답

요청이 성공적으로 처리되었습니다.

data
object[]
Minimum array length: 1
errors
object[]
Minimum array length: 1

IETF RFC 7807(https://tools.ietf.org/html/rfc7807)에 정의된 HTTP Problem Details 객체

meta
object